package base

import (
	"github.com/juju/errors"
)

// CheckInitialize will do preliminary check before initializing a new project.
func (a APIType) CheckInitialize() error {
	return errors.NotImplementedf("CheckInitialize not implemented for %s", a.GetName())
}
